tx-agent-kit
API Reference

assets Endpoints

API endpoints for the assets resource group

assets Endpoints

POST /v1/teams/{teamId}/uploads/request

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
201Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

PUT /v1/teams/{teamId}/uploads/{uploadId}/content

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
uploadIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/uploads/{uploadId}/confirm

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
uploadIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/assets

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---
filter[assetType]querystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/assets/{assetId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
assetIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

PATCH /v1/teams/{teamId}/assets/{assetId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
assetIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

DELETE /v1/teams/{teamId}/assets/{assetId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
assetIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/assets/{assetId}/url

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
assetIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/assets/{assetId}/thumbnail-url

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
assetIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/assets/search

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
queryquerystringYesa string at least 1 character(s) long
semanticquerystringNo---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---
filter[assetType]querystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/collections

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/collections

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
201Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

PATCH /v1/teams/{teamId}/collections/{collectionId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
collectionIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

DELETE /v1/teams/{teamId}/collections/{collectionId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
collectionIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/collections/{collectionId}/assets

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
collectionIdpathstringYes---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---
filter[assetType]querystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/collections/{collectionId}/assets

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
collectionIdpathstringYes---

Responses

StatusDescription
201Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

DELETE /v1/teams/{teamId}/collections/{collectionId}/assets/{assetId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
collectionIdpathstringYes---
assetIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

On this page